### Hierarchy

- View
  - PrintMarkup

## Index

### Properties

- _orderedCellValue
- alias
- cancelButtonText
- commitButtonText
- defaultActionId
- editable
- focusPropName
- id
- menu
- name
- printMarkupXML
- rows
- title
- type

### Accessors

- orderedCellValues

### Methods

- findMenuAt
- findTitle

## Properties

### Private _orderedCellValue

_orderedCellValue: Dictionary<AttributeCellValue> = null

- Defined in models/PrintMarkup.ts:16

### alias

alias: string

Inherited from View.alias

- Defined in models/View.ts:12

### cancelButtonText

cancelButtonText: string

- Defined in models/PrintMarkup.ts:9

### commitButtonText

commitButtonText: string

- Defined in models/PrintMarkup.ts:10

### defaultActionId

defaultActionId: string

Inherited from View.defaultActionId

- Defined in models/View.ts:13

### editable

editable: boolean

- Defined in models/PrintMarkup.ts:11

### focusPropName

focusPropName: string

- Defined in models/PrintMarkup.ts:12

### id

id: string

Inherited from View.id

- Defined in models/View.ts:14

### menu

menu: Menu

Inherited from View.menu

- Defined in models/View.ts:16

### name

name: string

Inherited from View.name

- Defined in models/View.ts:15

### printMarkupXML

printMarkupXML: string

- Defined in models/PrintMarkup.ts:13

### rows

rows: Cell[][]

- Defined in models/PrintMarkup.ts:14

### title

title: string

Inherited from View.title

- Defined in models/View.ts:17

### type

type: ViewType

Inherited from View.type

- Defined in models/View.ts:18

## Accessors

### orderedCellValues

- get orderedCellValues(): StringDictionary

- - Defined in models/PrintMarkup.ts:18

  #### Returns StringDictionary

## Methods

### findMenuAt

- findMenuAt(actionId: string): Menu

- Inherited from View.findMenuAt

  - Defined in models/View.ts:49

  Find a menu def on this View with the given actionId

  #### Parameters

  - ##### actionId: string

  #### Returns Menu

### findTitle

- findTitle(): string

- Inherited from View.findTitle

  - Defined in models/View.ts:34

  Find the title for this Pane

  #### Returns string

Generated using TypeDoc